

.mi-producto-card {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 0px;
    border: 0px solid #f3f3f3!important;
  }
  
  /* Contenedor del contenido */
  .mi-producto-card .info-producto {
    display: flex;
    flex-direction: column;
    flex: 1; /* ocupa todo el alto disponible */
  }
  
  .woocommerce ul.products li.product a img {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 0 2px;
    box-shadow: none;
}

/* Contenedor relativo para overlay del botón */
.woocommerce-loop-product__link {
  position: relative;
  display: block;
}

//* Botón de vista rápida sobre la imagen */
.product-quick-view {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 10;
}

/* Contenedor botones hover arriba a la derecha */
.mi-producto-card .product-quick-view {
  position: absolute;
  flex-direction: column;
  display: flex;
  top: 10px;
  right: 10px;
  gap: 10px; /* espacio entre botones */
  opacity: 0;
  height: 10px;
  z-index: 10;
  transition: opacity 0.3s ease;
  width: 100%;
  align-items: flex-end;
  padding: 5px;
}

/* Solo aplicar hover en escritorio */
@media (min-width: 768px) {
  /* Mostrar el botón al hacer hover */
  .woocommerce-loop-product__link:hover .product-quick-view {
    opacity: 1;
  }

  .mi-producto-card:hover .product-quick-view {
    opacity: 1;
  }
}

/* Estilo para el botón de vista rápida y wishlist */
button.woosq-btn,
button.woosq-btn.woosq-btn-has-icon,
button.woosq-btn.woosq-btn-icon-only,
button.woosw-btn,
button.woosw-btn.icon-btn,
button.woosw-btn.woosw-btn-has-icon,
button.woosw-btn.woosw-btn-icon-only,
button.woosw-btn.woosw-btn-added,
button.woosw-btn.woosw-added {
  background-color: #fff;
  color: #000;
  border: 1px solid #bababa;
  border-radius: 50px;
  padding: 5px 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-size: 14px;
  transition: all 0.3s ease;
  height: 36px;
  width: 36px;
}


/* Hover para ambos */
button.woosq-btn:hover,
button.woosw-btn:hover,
button.woosw-btn.woosw-btn-added:hover {
    background-color: #000;
    color: #fff;
}

/* Hover para desktop */
@media (hover: hover) and (pointer: fine) {
    button.woosq-btn:hover,
    button.woosw-btn:hover,
    button.woosw-btn.woosw-btn-added:hover {
        background-color: #000;
        color: #fff;
    }
}

h1.product_title.entry-title {
  font-size: 20px;
  font-weight: 600;
}



table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th {
  background-color: hsl(0deg 0% 100% / 7.1%);
}

table td, table th {
  padding-bottom: 5px;
}

/* Card base */
.mi-producto-card {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  will-change: transform, box-shadow;
}




.mi-producto-card {
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Contenedor del contenido */
.mi-producto-card .info-producto {
  display: flex;
  flex-direction: column;
  flex: 1; /* ocupa todo el alto disponible */
}

/* Caja del botón */
.mi-producto-card .caja-boton {
  margin-top: auto; /* empuja el botón abajo */
}

/* Ocultamos el texto */
a.add_to_cart_button {
  font-size: 0 !important;
  position: relative;
  padding: 10px 14px;
}

/* Insertamos el SVG */
a.add_to_cart_button::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;

  background: no-repeat center / contain;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M2 2v2h3.2l2.8 12.2c.1.5.5.8 1 .8h10c.5 0 .9-.3 1-.8l2-8c.1-.3 0-.6-.2-.9-.2-.2-.5-.3-.8-.3h-.4l1.3-2.6c.2-.5.1-1-.3-1.3l-3-2c-.3-.1-.6-.1-.9-.1-.3.1-.5.3-.6.5l-2.1 4.3v-1.8c0-.6-.4-1-1-1h-4c-.6 0-1 .4-1 1v3h-1.1l-.9-4.2c-.1-.5-.5-.8-1-.8h-4zm11 3v2h-2v-2h2zm5.4 2h-1.8l1.8-3.5 1.3.9-1.3 2.6zm-10 2h11.3l-1.5 6h-8.4l-1.4-6z'/%3E%3Ccircle cx='18' cy='20' r='2'/%3E%3Ccircle cx='10' cy='20' r='2'/%3E%3C/svg%3E");
}